Method: projects.locations.authorizations.delete

Deletes an Authorization.

HTTP request


DELETE https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/authorizations/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Resource name of Authorization. Format: projects/{project}/locations/{location}/authorizations/{authorization}

If the caller does not have permission to delete the authorization, regardless of whether or not it exists, a PERMISSION_DENIED error is returned.

If the authorization to delete does not exist, a NOT_FOUND error is returned.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.authorizations.delete

For more information, see the IAM documentation.